
Redmine - Defect #4431

Non-admin user cannot create project :for revision 3174

2009-12-17 11:30 - TK Lew

Status: Closed Start date: 2009-12-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

- Updated to revision 3174 from r3076

- Non-admin user cannot create new project as there is no icon "+New Project" when the non-admin new user logged in.

- it is working in r3076

Thank you.

Related issues:

Related to Redmine - Feature #4427: Create a new type of role for not project... New 2009-12-16

History

#1 - 2009-12-17 21:05 - Jean-Philippe Lang

Can not reproduce with latest trunk.

A non admin user with "create project" permission can see the "new project" link on the project list.

#2 - 2010-01-07 05:15 - Oregon State University Central Web Services

It happens when the user in the appropriate role to create a project does not belong to a project.

For example, we set the manager permission to be able to create projects and subprojects.

User foo is created, and given the role as a manager, but not assigned to a group with projects or to any project individually.

foo logs in, does not see the "New project".  If foo is subsequently added to a project with a role of manager, then foo is able to create projects.

It seems if a role is given the authority to create a project, it should be independent of if they belong to a project or not.

#3 - 2010-01-10 15:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Oregon State University Central Web Services wrote:

It happens when the user in the appropriate role to create a project does not belong to a project.

For example, we set the manager permission to be able to create projects and subprojects.

User foo is created, and given the role as a manager, but not assigned to a group with projects or to any project individually.

 A role is given to a user for a given project. So you can not give a role to a user that doesn't belong to any project.

foo logs in, does not see the "New project".  If foo is subsequently added to a project with a role of manager, then foo is able to create projects.

It seems if a role is given the authority to create a project, it should be independent of if they belong to a project or not.

 If you want users that doesn't belong to a project to be able to create project, you have to give the 'Create project' permission to the 'Non member'

role.
